Manifest-Version: 1.0
Bnd-LastModified: 1737558467225
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Document Library Preview PDF
Bundle-SymbolicName: com.liferay.document.library.preview.pdf
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 1.0.8.hotfix-6417-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.configuration.admin.display;version="1.2",com.liferay.document.lib
 rary.kernel.document.conversion;version="1.0",com.liferay.document.li
 brary.kernel.exception;version="4.1",com.liferay.document.library.ker
 nel.store;version="4.0",com.liferay.document.library.kernel.util;vers
 ion="8.0",com.liferay.exportimport.kernel.lar;version="4.3",com.lifer
 ay.petra.concurrent;version="2.1",com.liferay.petra.process;version="
 1.1",com.liferay.petra.string;version="1.7",com.liferay.portal.config
 uration.metatype.annotations;version="1.6",com.liferay.portal.configu
 ration.metatype.bnd.util;version="3.0",com.liferay.portal.configurati
 on.persistence.listener;version="1.1",com.liferay.portal.image,com.li
 feray.portal.kernel.exception;version="13.1",com.liferay.portal.kerne
 l.image;version="10.0",com.liferay.portal.kernel.language;version="11
 .0",com.liferay.portal.kernel.log;version="8.0",com.liferay.portal.ke
 rnel.model;version="29.1",com.liferay.portal.kernel.portlet;version="
 24.0",com.liferay.portal.kernel.portlet.bridges.mvc;version="6.1",com
 .liferay.portal.kernel.portlet.url.builder;version="2.0",com.liferay.
 portal.kernel.repository.event;version="1.1",com.liferay.portal.kerne
 l.repository.model;version="11.2",com.liferay.portal.kernel.security.
 auth;version="6.0",com.liferay.portal.kernel.service;version="20.1",c
 om.liferay.portal.kernel.servlet;version="11.2",com.liferay.portal.ke
 rnel.theme;version="10.5",com.liferay.portal.kernel.util;version="57.
 2",com.liferay.portal.kernel.xml;version="7.1",com.liferay.portal.uti
 l;version="46.1",javax.imageio,javax.portlet,javax.servlet,javax.serv
 let.http,org.apache.pdfbox.pdmodel;version="2.0",org.apache.pdfbox.pd
 model.common;version="2.0",org.apache.pdfbox.pdmodel.encryption;versi
 on="2.0",org.apache.pdfbox.rendering;version="2.0",org.osgi.service.c
 m;version="1.6"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Document Library
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Communication
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: collaboration
Liferay-Releng-Suite-Description: The Liferay Collaboration suite prov
 ides applications and features that help users share ideas, implement
  them, and produce terrific results. Its apps such as Message Boards 
 and Blogs help users start discussions, ask questions, share ideas, a
 nd connect with other users. Wiki allows users to share in-depth info
 rmation. And Alerts and Announcements facilitate broadcasting informa
 tion and notifications.<br /><br />As users collaborate, they're sure
  to produce important files. The suite's Documents and Media Library 
 allows users to store files, share them, and publish them. It not onl
 y works with Liferay's built-in repository but also allows you to int
 egrate with external repositories, such CMIS repositories. Users can 
 add and share all kinds of files, including documents, presentations,
  images, and videos. And the suite's Documents and Media app and Medi
 a Gallery help users display files the way they like them.<br /><br /
 >As users engage in site activities, you'll want to recognize them an
 d connect them with other users. The suite's social networking apps a
 nd features enable you to attribute social equity to active users aut
 omatically by increasing their rank on the site. You can even highlig
 ht user activities to show your site's liveliness. The Mentions featu
 re facilitates notifying specific users in the context of site conten
 t, discussions, and comments. The social apps also help users share t
 heir thoughts on the your sites and other social sites, such as Faceb
 ook and Twitter. Combined with the suite's collaboration and document
  management features, the Collaboration suite's social features help 
 develop awesome communities, foster high morale, and make work intere
 sting.<br /><br />Apps and Features: Activities, Alerts, Announcement
 s, Blogs, Bookmarks, Comments, Friends/My Sites/Portal/Site Members D
 irectory, Documents and Media, Friend Requests, Image Uploader, Invit
 e Members, Media Gallery, Message Boards, Mentions, Microblogs, Page 
 Flags/Comments/Ratings, Quick Note, Requests, Social Activity, User/G
 roup Statistics, Wiki.<br /><br />This suite may contain modules that
  depend on Foundation suite modules. This suite is available in the L
 iferay bundle.
Liferay-Releng-Suite-Title: Liferay Collaboration
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.document.library.preview.pdf.exception,co
 m.liferay.document.library.preview.pdf.internal,com.liferay.document.
 library.preview.pdf.internal.configuration,com.liferay.document.libra
 ry.preview.pdf.internal.configuration.admin.display,com.liferay.docum
 ent.library.preview.pdf.internal.configuration.admin.service,com.life
 ray.document.library.preview.pdf.internal.portlet.action,com.liferay.
 document.library.preview.pdf.internal.util
Provide-Capability: osgi.webresource;osgi.webresource="@liferay/docume
 nt-library-preview-pdf";version:Version="1.0.8.hotfix-6417-7413",osgi
 .service;objectClass:List<String>="com.liferay.configuration.admin.di
 splay.ConfigurationScreen";uses:="com.liferay.configuration.admin.dis
 play",osgi.service;objectClass:List<String>="com.liferay.document.lib
 rary.kernel.util.DLProcessor,com.liferay.document.library.kernel.util
 .PDFProcessor";uses:="com.liferay.document.library.kernel.util,com.li
 feray.document.library.kernel.util",osgi.service;objectClass:List<Str
 ing>="com.liferay.document.library.preview.pdf.internal.configuration
 .admin.service.PDFPreviewManagedServiceFactory,org.osgi.service.cm.Ma
 nagedServiceFactory";uses:="com.liferay.document.library.preview.pdf.
 internal.configuration.admin.service,org.osgi.service.cm",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.kernel.portlet.bridges
 .mvc.MVCActionCommand";uses:="com.liferay.portal.kernel.portlet.bridg
 es.mvc"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/aui))",osgi.extend
 er;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/c
 lay))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:/
 /liferay.com/tld/frontend))",osgi.extender;filter:="(&(osgi.extender=
 jsp.taglib)(uri=http://liferay.com/tld/react))",osgi.extender;filter:
 ="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/theme))",os
 gi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.
 com/tld/ui))",osgi.service;filter:="(objectClass=com.liferay.document
 .library.kernel.document.conversion.DocumentConversion)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.document.library
 .preview.pdf.internal.configuration.admin.service.PDFPreviewManagedSe
 rviceFactory)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.petra.process.ProcessExecutor)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.image.Ghostscrip
 t)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.language.Language)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.repository.event.FileVers
 ionPreviewEventListener)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.service.GroupLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.util.Portal)";effective:=active,osgi.service;filter:="(objectCla
 ss=javax.servlet.ServletContext)";effective:=active,osgi.service;filt
 er:="(objectClass=org.osgi.service.cm.ConfigurationAdmin)";effective:
 =active,osgi.extender;filter:="(&(osgi.extender=osgi.component)(versi
 on>=1.4.0)(!(version>=2.0.0)))",osgi.contract;osgi.contract=JavaPortl
 et;filter:="(&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.contr
 act;osgi.contract=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(
 version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.document.library.preview.pdf.i
 nternal.PDFProcessorImpl.xml,OSGI-INF/com.liferay.document.library.pr
 eview.pdf.internal.configuration.admin.display.PDFPreviewCompanyConfi
 gurationScreen.xml,OSGI-INF/com.liferay.document.library.preview.pdf.
 internal.configuration.admin.display.PDFPreviewGroupConfigurationScre
 en.xml,OSGI-INF/com.liferay.document.library.preview.pdf.internal.con
 figuration.admin.display.PDFPreviewSystemConfigurationScreen.xml,OSGI
 -INF/com.liferay.document.library.preview.pdf.internal.configuration.
 admin.service.PDFPreviewManagedServiceFactory.xml,OSGI-INF/com.lifera
 y.document.library.preview.pdf.internal.portlet.action.EditPDFPreview
 MVCActionCommand.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /document-library-preview-pdf

